Package org.apache.sysds.hops.fedplanner

## Class FederatedMemoTable.FedPlanVariants

- java.lang.Object
- - org.apache.sysds.hops.fedplanner.FederatedMemoTable.FedPlanVariants

Enclosing class:
  FederatedMemoTable

    public static class FederatedMemoTable.FedPlanVariants
    extends Object

Represents a collection of federated execution plan variants for a specific Hop and FederatedOutput. This class contains cost information and references to the associated plans. It uses HopCommon to store common properties and costs related to the Hop.

### Constructor Summary

Constructors
`FedPlanVariants​(Hop hopRef, FEDInstruction.FederatedOutput fedOutType)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addFedPlan​(FederatedMemoTable.FedPlan fedPlan)`
`List<FederatedMemoTable.FedPlan>` `getFedPlanVariants()`
`boolean` `isEmpty()`
`void` `prune()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FedPlanVariants

    public FedPlanVariants​(Hop hopRef,
                           FEDInstruction.FederatedOutput fedOutType)

### Method Detail

#### addFedPlan

    public void addFedPlan​(FederatedMemoTable.FedPlan fedPlan)

#### getFedPlanVariants

    public List<FederatedMemoTable.FedPlan> getFedPlanVariants()

#### isEmpty

    public boolean isEmpty()

#### prune

    public void prune()